package com.fjhx.account.entity.account.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 部门-资金流水关联表列表查询入参实体
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
public class AccountDeptRunningWaterSelectDto extends BaseSelectDto {
    /**
     * 币种（字典account_currency）
     */
    private String currency;

    /**
     * 收支类型：10 收入，20支出
     */
    private String status;

    /**
     * 模糊查询时使用
     */
    private String keyword;

    /**
     *是否分拆（10未分拆  20 已分拆）
     */
    private String type;

    /**
     * 部门ID
     */
    private Long deptId;



}
