package com.fjhx.account.mapper.account;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.account.entity.account.po.AccountDeptRunningWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountDeptRunningWaterVo;
import com.fjhx.account.entity.account.vo.AccountRunningWaterVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 部门-资金流水关联表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface AccountDeptRunningWaterMapper extends BaseMapper<AccountDeptRunningWater> {

    /**
     * 部门-资金流水关联表分页
     */
    Page<AccountRunningWaterVo> getPage(@Param("page") Page<Object> page,@Param("ew") QueryWrapper<Object> wrapper);

    /**
     * 部门-资金流水统计列表
     */
    List<AccountRunningWaterVo> DeptRunningWaterReport(@Param("ew") QueryWrapper<Object> query);
}
