package com.fjhx.account.service.account;

import com.fjhx.account.entity.account.po.AccountManagement;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountManagementVo;
import com.fjhx.account.entity.account.dto.AccountManagementSelectDto;
import com.fjhx.account.entity.account.dto.AccountManagementDto;


/**
 * <p>
 * 账户-管理表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
public interface AccountManagementService extends BaseService<AccountManagement> {

    /**
     * 账户-管理表分页
     */
    Page<AccountManagementVo> getPage(AccountManagementSelectDto dto);

    /**
     * 账户-管理表明细
     */
    AccountManagementDto detail(Long id);

    /**
     * 账户-管理表新增
     */
    void add(AccountManagementDto accountManagementDto);

    /**
     * 账户-管理表编辑
     */
    void edit(AccountManagementDto accountManagementDto);

    /**
     * 账户-管理表删除
     */
    void delete(Long id);

}
