package com.fjhx.common.service.coding;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.coding.dto.CodingRuleDto;
import com.fjhx.common.entity.coding.dto.CodingRuleSelectDto;
import com.fjhx.common.entity.coding.po.CodingRule;
import com.fjhx.common.entity.coding.vo.CodingRulePageVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 编码规则 服务类
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface CodingRuleService extends BaseService<CodingRule> {

    /**
     * 编码规则分页
     */
    Page<CodingRulePageVo> getPage(CodingRuleSelectDto dto);

    /**
     * 编码规则编辑
     */
    void edit(CodingRuleDto codingRuleDto);

}
