package com.fjhx.customer.entity.customer.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 客户表列表查询入参实体
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
public class CustomerSelectDto extends BaseSelectDto {
    /**
     * 客户类型（字典表customer_status）
     */
    private String status;

    /**
     * 客户来源（字典表customer_source）
     */
    private String source;

    /**
     * 客户状态（0：公海客户  1：私海客户）
     */
    private String type;

    /**
     *查询名称（模糊查询时使用）
     */
    private String keyword;


}
