package com.fjhx.customer.entity.customer.vo;

import com.fjhx.area.service.ISetAreaName;
import com.fjhx.customer.entity.customer.po.Customer;
import com.fjhx.customer.entity.customer.po.CustomerUser;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 客户表列表查询返回值实体
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
public class CustomerVo extends Customer implements ISetAreaName {


    private String countryName;

    private String provinceName;

    private String cityName;

    private List<CustomerUser> customerUserList;


}
