package com.fjhx.mes.entity.bom.vo;

import com.fjhx.mes.entity.bom.po.BomInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * bom列表查询返回值实体
 *
 * @author
 * @since 2023-03-29
 */
@Getter
@Setter
public class BomInfoVo extends BomInfo {

    /**
     * 最近维护人
     */
    private String updateUserName;

    /**
     * 产品类型
     */
    private Integer productType;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * bom明细列表
     */
    private List<BomDetailVo> bomDetailVoList;

}
