package com.fjhx.purchase.entity.arrival.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 到货明细单
 * </p>
 *
 * @author 
 * @since 2023-04-07
 */
@Getter
@Setter
@TableName("arrival_detail")
public class ArrivalDetail extends BasePo {

    /**
     * 关联ID  产品ID/货品ID
     */
    private Long bussinessId;

    /**
     * 到货主表ID
     */
    private Long arrivalId;

    /**
     * 采购明细ID
     */
    private Long purchaseDetailId;

    /**
     * 到货数量
     */
    private BigDecimal count;

    /**
     * 质检状态 0未质检 10部分质检 20全部质检
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

}
