package com.fjhx.purchase.entity.arrival.vo;

import com.fjhx.purchase.entity.arrival.po.ArrivalDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 到货明细单列表查询返回值实体
 *
 * @author 
 * @since 2023-04-07
 */
@Getter
@Setter
public class ArrivalDetailVo extends ArrivalDetail {

    /**
     * 到货单编码
     */
    private String code;

    /**
     * 供应商ID
     */
    private Long supplyId;

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 货品类型
     */
    private Integer productType;

    /**
     * 所属分类id
     */
    private Long productCategoryId;

    /**
     * 所属分类
     */
    private String productCategory;

    /**
     * 货品编码
     */
    private String productCode;

    /**
     * 货品名称
     */
    private String productName;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 货品规格型号
     */
    private String productSpec;

    /**
     * 合格数量
     */
    private BigDecimal qualifiedCount;

    /**
     * 不合格数量
     */
    private BigDecimal noQualifiedCount;

    /**
     * 质检总数
     */
    private BigDecimal sumQualityCount;
}
