package com.fjhx.purchase.mapper.subscribe;

import com.fjhx.purchase.entity.subscribe.po.SubscribeDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.subscribe.vo.SubscribeDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.util.List;


/**
 * <p>
 * 申购单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-03
 */
public interface SubscribeDetailMapper extends BaseMapper<SubscribeDetail> {

    /**
     * 申购单分页
     */
    Page<SubscribeDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SubscribeDetail> wrapper);

    /**
     * 根据IDS查询明细
     * @param ids
     * @return
     */
    List<SubscribeDetailVo> getDetail(@Param("ids")List<Long> ids);
}
