package com.fjhx.sale.controller.quotation;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quotation.vo.QuotationPayVo;
import com.fjhx.sale.entity.quotation.dto.QuotationPaySelectDto;
import com.fjhx.sale.entity.quotation.dto.QuotationPayDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.sale.service.quotation.QuotationPayService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 报价 -收费项目表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
@RestController
@RequestMapping("/quotationPay")
public class QuotationPayController {

    @Autowired
    private QuotationPayService quotationPayService;

    /**
     * 报价 -收费项目表分页
     */
    @PostMapping("/page")
    public Page<QuotationPayVo> page(@RequestBody QuotationPaySelectDto dto) {
        return quotationPayService.getPage(dto);
    }

}
