package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.ContractProduct;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 外销合同-产品列表查询返回值实体
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractProductVo extends ContractProduct {

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 操作人
     */
    private String userName;

    /**
     * 版本
     */
    private String contractVersion;

    /**
     * 转生产数量
     */
    private BigDecimal productQuantity;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 所属分类
     */
    private String productCategory;

    /**
     * 货品编码
     */
    private String productCode;

    /**
     * 货品名称
     */
    private String productName;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 货品规格型号
     */
    private String productSpec;

    /**
     * 货品类型
     */
    private Integer productType;

    /**
     * 所属分类id
     */
    private Long productCategoryId;
}
