package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.Contract;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 外销合同表列表查询返回值实体
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractVo extends Contract {

    /**
     * 买方名称
     */
    private String buyCorporationName;

    /**
     * 卖方名称
     */
    private String sellCorporationName;

    /**
     * 合同产品数量
     */
    private BigDecimal cpQuantity;

    /**
     * 已包装数量
     */
    private BigDecimal sumPackQuantity;

    /**
     * 合同产品ID
     */
    private Long contractProductId;
}
