package com.fjhx.sale.entity.documents.vo;

import com.fjhx.sale.entity.documents.po.Documents;
import lombok.Getter;
import lombok.Setter;

/**
 * 单证表列表查询返回值实体
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
public class DocumentsVo extends Documents {

    /**
     * 归属公司ID（卖方公司ID）
     */
    private String sellCorporationId;


    /**
     * 客户ID（买方公司ID）
     */
    private String buyCorporationId;

    /**
     * 归属公司名称（卖方公司名称）
     */
    private String sellCorporationName;


    /**
     * 客户名称（买方公司名称）
     */
    private String buyCorporationName;

    /**
     * 主合同编号
     */
    private String code;

    /**
     *承运方
     */
    private String acceptCarriage;

    /**
     * 货运单号
     */
    private String acceptCode;
}
