package com.fjhx.sale.entity.sale.dto;

import com.fjhx.sale.entity.quotation.po.QuotationPay;
import com.fjhx.sale.entity.quotation.po.QuotationProduct;
import com.fjhx.sale.entity.sale.po.SaleQuotation;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 报价表新增编辑入参实体
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
public class SaleQuotationDto extends SaleQuotation {

    /**
     * 商品-报价单关联表信息
     */
    private List<QuotationProduct> quotationProductList;

    /**
     *报价 -收费项目表
     */
    private List<QuotationPay> quotationPayList;



}
