package com.fjhx.sale.mapper.claim;

import com.fjhx.sale.entity.claim.po.Claim;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.claim.vo.ClaimVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 到账认领 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface ClaimMapper extends BaseMapper<Claim> {

    /**
     * 到账认领分页
     */
    Page<ClaimVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Claim> wrapper);

}
