package com.fjhx.sale.mapper.quotation;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.fjhx.sale.entity.quotation.po.QuotationPay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quotation.vo.QuotationPayVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 报价 -收费项目表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
public interface QuotationPayMapper extends BaseMapper<QuotationPay> {

    /**
     * 报价 -收费项目表分页
     */
    Page<QuotationPayVo> getPage(@Param("page") Page<Object> page, @Param("ew") LambdaQueryWrapper<QuotationPay> wrapper);

}
