package com.fjhx.sale.mapper.sale;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.fjhx.sale.entity.sale.po.SaleQuotation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.sale.vo.SaleQuotationVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 报价表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
public interface SaleQuotationMapper extends BaseMapper<SaleQuotation> {

    /**
     * 报价表分页
     */
    Page<SaleQuotationVo> getPage(@Param("page") Page<Object> page, @Param("ew") LambdaQueryWrapper<SaleQuotation> wrapper);

}
