package com.fjhx.sale.mapper.serviceContract;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.fjhx.sale.entity.serviceContract.po.ServiceContractRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.serviceContract.vo.ServiceContractRecordVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 服务合同记录表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface ServiceContractRecordMapper extends BaseMapper<ServiceContractRecord> {

    /**
     * 服务合同记录表分页
     */
    Page<ServiceContractRecordVo> getPage(@Param("page") Page<Object> page, @Param("ew") LambdaQueryWrapper<ServiceContractRecord> wrapper);

}
