package com.fjhx.sale.service.sale;

import com.fjhx.sale.entity.sale.po.SaleQuotation;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.sale.vo.SaleQuotationVo;
import com.fjhx.sale.entity.sale.dto.SaleQuotationSelectDto;
import com.fjhx.sale.entity.sale.dto.SaleQuotationDto;


/**
 * <p>
 * 报价表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
public interface SaleQuotationService extends BaseService<SaleQuotation> {

    /**
     * 报价表分页
     */
    Page<SaleQuotationVo> getPage(SaleQuotationSelectDto dto);

    /**
     * 报价表明细
     */
    SaleQuotationVo detail(Long id);

    /**
     * 报价表新增
     */
    void add(SaleQuotationDto saleQuotationDto);

    /**
     * 报价表编辑
     */
    void edit(SaleQuotationDto saleQuotationDto);

    /**
     * 报价表删除
     */
    void delete(Long id);

    /**
     * 报价单的复制功能
     */
    void copy(SaleQuotationDto saleQuotationDto);
}
