package com.fjhx.victoriatourist.entity.after.dto;

import com.fjhx.victoriatourist.entity.after.po.AfterSaleDetail;
import com.fjhx.victoriatourist.entity.after.po.AfterSaleRecord;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 售后管理新增编辑入参实体
 *
 * @author
 * @since 2023-04-19
 */
@Getter
@Setter
public class AfterSaleRecordDto extends AfterSaleRecord {

    /**
     * 关联商品
     */
    @Valid
    @NotEmpty(message = "关联商品不能为空")
    private List<AfterSaleDetail> afterSaleDetailList;

}
