package com.fjhx.victoriatourist.entity.stock.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 调仓记录
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
@TableName("stock_transfer")
public class StockTransfer extends BasePo {

    /**
     * 调仓单号
     */
    private String code;

    /**
     * 调仓类型
     */
    private Integer type;

    /**
     * 调出仓库id
     */
    private Long outWarehouseId;

    /**
     * 调入仓库id
     */
    private Long inWarehouseId;

    /**
     * 接收人
     */
    private Long inUserId;

    /**
     * 接收时间
     */
    private Date inTime;

    /**
     * 接受状态 0未接收 1已接收
     */
    private Integer inStatus;

    /**
     * 备注
     */
    private String remark;

}
