package com.fjhx.wms.entity.stock.vo;

import com.fjhx.wms.entity.stock.po.StockJournal;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 出入库记录列表查询返回值实体
 *
 * @author
 * @since 2023-03-20
 */
@Getter
@Setter
public class StockJournalVo extends StockJournal {

    /**
     * 仓库名称
     */
    private String warehouseName;
    /**调仓库目标仓库名称*/
    private String toWarehouseName;

    /**
     * 操作人名称
     */
    private String userName;

    /**手动入库商品明细*/
    private List<StockVo> list;

}
