package com.fjhx.account.service.account;

import com.fjhx.account.entity.account.po.AccountRequestFundsDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountRequestFundsDetailVo;
import com.fjhx.account.entity.account.dto.AccountRequestFundsDetailSelectDto;
import com.fjhx.account.entity.account.dto.AccountRequestFundsDetailDto;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2023-04-10
 */
public interface AccountRequestFundsDetailService extends BaseService<AccountRequestFundsDetail> {

    /**
     * 分页
     */
    Page<AccountRequestFundsDetailVo> getPage(AccountRequestFundsDetailSelectDto dto);

    /**
     * 明细
     */
    AccountRequestFundsDetailVo detail(Long id);

    /**
     * 新增
     */
    void add(AccountRequestFundsDetailDto accountRequestFundsDetailDto);

    /**
     * 编辑
     */
    void edit(AccountRequestFundsDetailDto accountRequestFundsDetailDto);

    /**
     * 删除
     */
    void delete(Long id);

}
