package com.fjhx.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RuleTypeEnum {

    CUSTOMIZE(1, "自定义字符"),
    COUNTRY_CODE(2, "客户国家编码"),
    SALESMAN_CODE(3, "业务员代码"),
    CUSTOMER_CODE(4, "客户编码"),
    AUTOINCREMENT(5, "自增编号"),
    DATE_FORMAT(6, "日期");

    private final Integer type;

    private final String name;

}
