package com.fjhx.customer.entity.customer.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("customer")
public class Customer extends BasePo {

    /**
     * 客户代码
     */
    private String customerCode;

    /**
     * 客户编码
     */
    private String code;

    /**
     * 国家表id
     */
    private String countryId;

    /**
     * 省份ID
     */
    private String provinceId;

    /**
     * 城市id
     */
    private String cityId;

    /**
     * 地址
     */
    private String address;

    /**
     * 邮编
     */
    private String zipCode;

    /**
     * 客户名称
     */
    private String name;

    /**
     * 客户状态（字典表key）
     */
    private String status;

    /**
     * 客户来源（字典表key）
     */
    private String source;

    /**
     * 业务员id
     */
    private String userId;

}
