package com.fjhx.customer.mapper.customer;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.fjhx.customer.entity.customer.po.Customer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.vo.CustomerVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 客户表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
public interface CustomerMapper extends BaseMapper<Customer> {

    /**
     * 客户表列表
     */
    List<CustomerVo> getList(@Param("ew") IWrapper<Customer> wrapper);

    /**
     * 客户表分页
     */
    Page<CustomerVo> getPage(@Param("page") Page<Object> page, @Param("ew")LambdaQueryWrapper<Customer> wrapper);

}
