package com.fjhx.item.entity.product.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.item.entity.product.po.ProductInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 产品库新增编辑入参实体
 *
 * @author zlj
 * @since 2023-03-17
 */
@Getter
@Setter
public class ProductInfoDto extends ProductInfo {

    private List<ObsFile> fileList;

    /**
     * 部门id
     */
    private Long deptId;

}
