package com.fjhx.item.entity.product.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 产品库列表查询入参实体
 *
 * @author zlj
 * @since 2023-03-17
 */
@Getter
@Setter
public class ProductInfoSelectDto extends BaseSelectDto {

    /**
     * 产品类型
     */
    private Integer type;

    /**
     * 定义 1产品 2物料
     */
    private Integer definition;

    /**
     * 产品分类id
     */
    private Long productClassifyId;

    /**维多利亚当前周期*/
    private Integer lifeCycle;

}
