package com.fjhx.purchase.entity.sales.vo;

import com.fjhx.purchase.entity.sales.po.SalesReturnDetail;
import lombok.Getter;
import lombok.Setter;

/**
 * 到货明细单列表查询返回值实体
 *
 * @author 
 * @since 2023-04-11
 */
@Getter
@Setter
public class SalesReturnDetailVo extends SalesReturnDetail {

    /**
     * 供应商ID
     */
    private Long supplyId;

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 退货单号
     */
    private String code;

    /**
     * 货品类型
     */
    private Integer productType;

    /**
     * 所属分类
     */
    private String productCategory;

    /**
     * 货品编码
     */
    private String productCode;

    /**
     * 货品名称
     */
    private String productName;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 货品规格型号
     */
    private String productSpec;
}
