package com.fjhx.purchase.mapper.arrival;

import com.fjhx.purchase.entity.arrival.po.ArrivalDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.arrival.vo.ArrivalDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;


/**
 * <p>
 * 到货明细单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-07
 */
public interface ArrivalDetailMapper extends BaseMapper<ArrivalDetail> {

    /**
     * 到货明细单分页
     */
    Page<ArrivalDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ArrivalDetail> wrapper);

    /**
     * 统计到货明细总数
     * @return
     */
    BigDecimal getSumCount(@Param("purchaseDetailId")Long purchaseDetailId,@Param("businessId")Long businessId);
}
