package com.fjhx.purchase.mapper.purchase;

import com.fjhx.purchase.entity.purchase.po.Purchase;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.purchase.vo.PurchaseVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 采购 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface PurchaseMapper extends BaseMapper<Purchase> {

    /**
     * 采购分页
     */
    Page<PurchaseVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Purchase> wrapper);

}
