package com.fjhx.sale.entity.pack.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 出货绑定主合同表
 * </p>
 *
 * @author
 * @since 2023-04-19
 */
@Getter
@Setter
@TableName("pack_shipment")
public class PackShipment extends BasePo {

    /**
     * 包装明细单ID  多个逗号隔开
     */
    private String packDetailIds;

    /**
     * 主合同ID
     */
    private Long contractId;

    /**
     * 备注
     */
    private String remark;



}
