package com.fjhx.sale.entity.sale.vo;

import com.fjhx.sale.entity.quotation.po.QuotationPay;
import com.fjhx.sale.entity.quotation.po.QuotationProduct;
import com.fjhx.sale.entity.sale.po.SaleQuotation;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 报价表列表查询返回值实体
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
public class SaleQuotationVo extends SaleQuotation {

    /**
     *  业务员名称
     */
    private  String userName;

    /**
     * 商品-报价单关联表信息
     */
    private List<QuotationProduct> quotationProductList;

    /**
     *报价 -收费项目表
     */
    private List<QuotationPay> quotationPayList;
}
