package com.fjhx.sale.entity.serviceContract.dto;

import com.fjhx.sale.entity.serviceContract.po.ServiceContract;
import com.fjhx.sale.entity.serviceContract.po.ServiceContractPay;
import com.fjhx.sale.entity.serviceContract.po.ServiceContractProduct;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 服务合同表新增编辑入参实体
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
public class ServiceContractDto extends ServiceContract {

    /**
     * 服务合同-收费项目表
     */
    private List<ServiceContractPay> serviceContractPayList;

    /**
     * 服务合同-商品表
     */
    private List<ServiceContractProduct> serviceContractProductList;
}
