package com.fjhx.sale.mapper.contract;

import com.fjhx.sale.entity.contract.po.ContractProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 外销合同-产品 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface ContractProductMapper extends BaseMapper<ContractProduct> {

    /**
     * 外销合同-产品分页
     */
    Page<ContractProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ContractProduct> wrapper);

}
