package com.fjhx.sale.mapper.serviceContract;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.sale.entity.serviceContract.po.ServiceContract;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.serviceContract.vo.ServiceContractVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 服务合同表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface ServiceContractMapper extends BaseMapper<ServiceContract> {

    /**
     * 服务合同表分页
     */
    Page<ServiceContractVo> getPage(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<Object> wrapper);

}
