package com.fjhx.sale.mapper.serviceContract;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.fjhx.sale.entity.serviceContract.po.ServiceContractPay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.serviceContract.vo.ServiceContractPayVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 服务合同 -收费项目表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface ServiceContractPayMapper extends BaseMapper<ServiceContractPay> {

    /**
     * 服务合同 -收费项目表分页
     */
    Page<ServiceContractPayVo> getPage(@Param("page") Page<Object> page, @Param("ew") LambdaQueryWrapper<ServiceContractPay> wrapper);

}
