package com.fjhx.supply.entity.supplier.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 供应商价格列表查询入参实体
 *
 * @author zlj
 * @since 2023-03-17
 */
@Getter
@Setter
public class SupplierPriceSelectDto extends BaseSelectDto {

    /**
     * 供应商类型 1贸易商 2工厂
     */
    private Integer supplierType;

    /**
     * 定义 1产品 2物料
     */
    private Integer definition;

}
