package com.fjhx.victoriatourist.controller.jd;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackQualityWaitVo;
import com.fjhx.victoriatourist.entity.jd.dto.JdBackQualityWaitSelectDto;
import com.fjhx.victoriatourist.service.jd.JdBackQualityWaitService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 京东退货待质检 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
@RestController
@RequestMapping("/jdBackQualityWait")
public class JdBackQualityWaitController {

    @Autowired
    private JdBackQualityWaitService jdBackQualityWaitService;

    /**
     * 京东退货待质检分页
     */
    @PostMapping("/page")
    public Page<JdBackQualityWaitVo> page(@RequestBody JdBackQualityWaitSelectDto dto) {
        return jdBackQualityWaitService.getPage(dto);
    }

}
