package com.fjhx.victoriatourist.entity.after.vo;

import com.fjhx.area.service.ISetAreaName;
import com.fjhx.victoriatourist.entity.after.po.AfterSaleDetail;
import com.fjhx.victoriatourist.entity.after.po.AfterSaleRecord;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 售后管理列表查询返回值实体
 *
 * @author
 * @since 2023-04-19
 */
@Getter
@Setter
public class AfterSaleRecordVo extends AfterSaleRecord implements ISetAreaName {

    /**
     * 客户名称
     */
    private String customerName;

    private String countryName;

    private String provinceName;

    private String cityName;

    /**
     * 关联商品
     */
    private List<AfterSaleDetailVo> afterSaleDetailList;

}
