package com.fjhx.victoriatourist.entity.jd.dto;

import com.fjhx.victoriatourist.entity.jd.po.JdOrder;
import com.fjhx.victoriatourist.entity.jd.po.JdOrderDetails;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 京东订单新增编辑入参实体
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
public class JdOrderDto extends JdOrder {

    /**
     * 京东订单明细
     */
    @Valid
    @NotEmpty(message = "京东订单明细不能为空")
    private List<JdOrderDetails> jdOrderDetailsList;

}
