package com.fjhx.victoriatourist.entity.order.vo;

import com.fjhx.area.service.ISetAreaName;
import com.fjhx.victoriatourist.entity.order.po.OrderDetails;
import com.fjhx.victoriatourist.entity.order.po.OrderInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 订单列表查询返回值实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class OrderInfoVo extends OrderInfo implements ISetAreaName {

    /**
     * 销售订单客户名称
     */
    private String customerName;

    /**
     * 国家名
     */
    private String countryName;

    /**
     * 省名
     */
    private String provinceName;

    /**
     * 城市名
     */
    private String cityName;

    /**
     * 销售订单明细
     */
    private List<OrderDetailsVo> orderDetailsList;

}
