package com.fjhx.wms.entity.stock.emums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum StockWaitType {

    BORDER_OF_LINE_IN(InOutType.IN, 1, "线边回仓", ""),
    COMPLETION_IN(InOutType.IN, 2, "完工入库", ""),
    PURCHASE_ARRIVAL_IN(InOutType.IN, 3, "采购到货", ""),
    BACK_OUT(InOutType.OUT, 4, "退货出库", ""),
    ;


    /**
     * 出入库类型
     */
    private final InOutType type;

    /**
     * 详细类型
     */
    private final Integer detailType;

    /**
     * 信息类型说明
     */
    private final String detailTypeRemark;

    /**
     * 关联业务表名
     */
    private final String linkBusinessTableName;

}
