package com.fjhx.wms.entity.stock.vo;

import com.fjhx.wms.entity.stock.po.StockWait;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 待出入库列表查询返回值实体
 *
 * @author
 * @since 2023-03-22
 */
@Getter
@Setter
public class StockWaitVo extends StockWait {

    /**
     * 商品id
     */
    private Long productId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 已入库数量
     */
    private BigDecimal receiptQuantity;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品类型
     */
    private Integer productType;

    /**
     * 规格型号
     */
    private String productSpec;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 待入库明细
     */
    private List<StockWaitDetailsVo> stockWaitDetailsList;

    /**
     * 操作人名称
     */
    private String operatorName;

}
